gp_Pnt_0 = gp_Pnt(2,2, 5)
gp_Pnt_0 = gp_Pnt(2,-2, 3)
display.DisplayShape(gp_Pnt_0, update=True)
qumian=qumian()
# point_1 = ais_ProjectPointOnPlane(gp_Pnt_0, qumian)
point_1= GeomAPI_ProjectPointOnSurf(gp_Pnt_0, qumian)#曲面
# NearestPoint_1=point_1.NearestPoint()
NearestPoint_1 = point_1.Point(1)
NearestPoint_1 = point_1.Point(2)
display.DisplayShape(qumian, update=True)
display.DisplayShape(NearestPoint_1, update=True)#
def pointonline():
gp_Pnt_0 = gp_Pnt(10,10,10)
display.DisplayShape(gp_Pnt_0 , update=True)
#
gp_Pnt_1 = gp_Pnt(0, 0, 1)
gp_Dir_1 = gp_Dir(0, 2, 0)
gp_Ax1_1=gp_Ax1(gp_Pnt_1,gp_Dir_1 )
gp_Lin_1 = gp_Lin(gp_Ax1_1)
# display.DisplayShape(gp_Lin_1, True)
# display.Context.Display(gp_Ax1_1,True)
# display.DisplayShape(gp_Lin_1, update=True)
point_1 = ais_ProjectPointOnLine(gp_Pnt_0, gp_Lin_1)
display.DisplayShape(point_1, update=True)
return point_1
def pointonPlane():
# ProjectPointOnPlane() # Parameters: aPoint(gp_Pnt) – aPlane(gp_Pln) –
gp_Pnt_0 = gp_Pnt(5, 52, 2)
display.DisplayShape(gp_Pnt_0, update=True)
gp_Pnt_1 = gp_Pnt(0, 2, 0)
gp_Dir_1 = gp_Dir(0, 1, 0)
gp_Pln_1 = gp_Pln(gp_Pnt_1, gp_Dir_1)
# display.DisplayShape(gp_Pln_1, update=True)
point_1 = ais_ProjectPointOnPlane(gp_Pnt_0, gp_Pln_1)
# display.DisplayShape(point_1, update=True)
return point_1